Bug 129675 - Move GTK WebKit1 code to std::unique_ptr
Summary: Move GTK WebKit1 code to std::unique_ptr
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks: 128007
  Show dependency treegraph
 
Reported: 2014-03-04 01:49 PST by Zan Dobersek
Modified: 2014-03-07 03:13 PST (History)
0 users

See Also:


Attachments
Patch (8.98 KB, patch)
2014-03-04 01:50 PST, Zan Dobersek
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2014-03-04 01:49:02 PST
Move GTK WebKit1 code to std::unique_ptr
Comment 1 Zan Dobersek 2014-03-04 01:50:24 PST
Created attachment 225763 [details]
Patch
Comment 2 Anders Carlsson 2014-03-06 12:28:51 PST
Comment on attachment 225763 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=225763&action=review

> Source/WebKit/gtk/webkit/webkitfavicondatabase.cpp:187
> +typedef Vector<std::unique_ptr<PendingIconRequest> > PendingIconRequestVector;

Please remove the space between the > > here.
Comment 3 Zan Dobersek 2014-03-07 03:13:41 PST
Committed r165253: <http://trac.webkit.org/changeset/165253>